<?php

/**
 * @file
 * Admin settings
 */

/**
 * Administration form. 
 */
function issue_tree_admin_form($form_state) {
  $form = array();
  $form['lookup'] = array(
    '#type' => 'fieldset',
    '#title' => t('Lookup for sub-issues'),
  );
  $form['lookup']['issue_tree_lookup_after'] = array(
    '#type' => 'textfield',
    '#title' => t('After this string'),
    '#default_value' => variable_get('issue_tree_lookup_after', '<h3>Sub-issues</h3>'),
    '#required' => TRUE
  );
  $form['lookup']['issue_tree_lookup_until'] = array(
    '#type' => 'textfield',
    '#title' => t('Until this string'),
    '#description' => t('If the node body does not contain this string after the above specified string, the lookup will be extended until the end of the node body.'),
    '#default_value' => variable_get('issue_tree_lookup_until', '<h3>'),
    '#required' => TRUE
  );
  return system_settings_form($form);
}